<?php

$legend = null;
$legendStyle = null;

if ($chart["chart_max_width"] > 0){
    $width = $chart["chart_max_width"];

    if ($chart["chart_type"] != 5 || $chart["chart_type"] != 6)
        $height = $chart["chart_max_width"] / 2;
}
else {
    $width = "100%";
    $height = "";
}

if ($chart["chart_type"] == 2 || $chart["chart_type"] == 3 || $chart["chart_type"] == 6){

    $legendStyle = "style='font-style:" . $chart["chart_legend_font_style"] . "; color:" . $chart["chart_legend_font_colour"] . "; '";

    if ($chart["chart_legend"])
        $legend .= "<ul " . $legendStyle . " data-font-size='" . $chart["chart_legend_font_size"] . "' id=\"legend-" . $chart["id"] . "\" class=\"legend " . $chart["chart_legend_position"] . "\"></ul>";
}

$var = '<div class="weblator-chart-container" data-chart-id="' . $chart["id"] . '" style="width:' . $width . '">';

if (substr($chart["chart_legend_position"], 0, 1) == "t")
    $var .= $legend;

$var .= '<canvas id="weblator-charts-chart-' . $chart["id"] . '" class="weblator-chart" width="' . $width . '" height="' . $height . '"></canvas>';
$var .= '<script>

    jQuery(function(){
        new ChartInt(' . $chart["id"] . ');
    });


    </script>';

if (substr($chart["chart_legend_position"], 0, 1) == "b")
    $var .= $legend;

$var .= '</div>';


